Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
root_objects_data Struct Reference

## Data Fields
const char * | category
void(* | func )(const char *category, VALUE, void *)
void * | data

## Detailed Description

Definition at line 5793 of file gc.c.

## Field Documentation

const char* root_objects_data::category

Definition at line 5794 of file gc.c.

Referenced by rb_objspace_reachable_objects_from_root(), and root_objects_from().

void* root_objects_data::data

Definition at line 5796 of file gc.c.

Referenced by rb_objspace_reachable_objects_from_root(), and root_objects_from().

void(* root_objects_data::func)(const char *category, VALUE, void *)

Definition at line 5795 of file gc.c.

Referenced by rb_objspace_reachable_objects_from_root(), and root_objects_from().

The documentation for this struct was generated from the following file:

- gc.c